## hextool 1.7.0

=== debian/changelog ===
hextool (1.7.0) unstable; urgency=low
  * Initial Maemo Release.

 -- Christian Weniger <> Fri, 06 Jun 2014 01:03:17 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# qmake PREFIX=/usr# Uncomment this line for use without Qt Creator

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	qmake
	#$(MAKE) # Uncomment this line for use without Qt Creator
	#docbook-to-man debian/hextool.sgml > hextool.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/hextool.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/hextool install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps # Uncomment this line for use without Qt Creator
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hextool 1.7.1

=== Makefile ===
#############################################################################
# Makefile for building: hextool
# Generated by qmake (2.01a) (Qt 4.7.0) on: Do 5. Jun 22:57:25 2014
# Project:  hextool.pro
# Template: app
# Command: c:/qtsdk/maemo/4.6.2/targets/fremantle-pr13/bin/qmake.exe -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile hextool.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -I. -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -Imoc -Iui
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -LC:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = c:/qtsdk/maemo/4.6.2/targets/fremantle-pr13/bin/qmake.exe
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		common/value.c \
		common/signed.c \
		common/registeroperation.c \
		common/register.c \
		common/numbits.c \
		common/handlebinarydigit.c moc/moc_mainwindow.cpp
OBJECTS       = obj/main.o \
		obj/mainwindow.o \
		obj/value.o \
		obj/signed.o \
		obj/registeroperation.o \
		obj/register.o \
		obj/numbits.o \
		obj/handlebinarydigit.o \
		obj/moc_mainwindow.o
DIST          = c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		deployment.pri \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		hextool.pro
QMAKE_TARGET  = hextool
DESTDIR       = 
TARGET        = hextool

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui/ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: hextool.pro  c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default/qmake.conf c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		deployment.pri \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl
	$(QMAKE) -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile hextool.pro
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
deployment.pri:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile hextool.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/hextool1.0.0 || $(MKDIR) obj/hextool1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/hextool1.0.0/ && $(COPY_FILE) --parents mainwindow.h common/value.h common/signed.h common/registeroperation.h common/register.h common/numbits.h common/handlebinarydigit.h common/debug.h obj/hextool1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp common/value.c common/signed.c common/registeroperation.c common/register.c common/numbits.c common/handlebinarydigit.c obj/hextool1.0.0/ && $(COPY_FILE) --parents mainwindow.ui obj/hextool1.0.0/ && (cd `dirname obj/hextool1.0.0` && $(TAR) hextool1.0.0.tar hextool1.0.0 && $(COMPRESS) hextool1.0.0.tar) && $(MOVE) `dirname obj/hextool1.0.0`/hextool1.0.0.tar.gz . && $(DEL_FILE) -r obj/hextool1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc/moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc/moc_mainwindow.cpp
moc/moc_mainwindow.cpp: common/debug.h \
		common/handlebinarydigit.h \
		common/numbits.h \
		common/register.h \
		common/registeroperation.h \
		common/signed.h \
		common/value.h \
		mainwindow.h
	C:/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/moc.exe $(DEFINES) $(INCPATH) mainwindow.h -o moc/moc_mainwindow.cpp

compiler_rcc_make_all:

=== debian/changelog ===
hextool (1.7.1) unstable; urgency=low
  - Changed gui elements
  - corrected bug in lineedit limits
    which was causing random calculations

 -- Christian Weniger <> Fri, 06 Jun 2014 01:03:17 +0200

=== debian/control ===
Source: hextool
Section: user/science
Priority: optional
Maintainer: Christian Weniger
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3
Homepage: http://www.harkin.org/HexTool

Package: hextool
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HexTool is a simple calculator for hex, bin and dec.
 HexTool is a simple yet effective calculator/tool; invaluable for people who work with Hex and Binary. 
 Now you can convert between Hex, Binary and Decimal on the fly. http://sourceforge.net/projects/hextool/
XB-Maemo-Display-Name: hextool
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgIfAhkiAAAAAlwSFlzAAACkgAAApIBbaeMMwAAAyhJREFUaIHt2r9LHGkcx/HXGg1YbLGuFhHcJYvYBCKsheRQIkSCzV2RyiKCNknlDw4hLMIR8JJgZZFC/4AUdgnmBEGLIFxEIXrhQBCS6EnERjlkCdfoecVlskzORD290x38NMM+z/eZ+Xyf9+w88zzPxBRUApcvX74PiUTiO4jH4wkoLS294H/Uzs7OLuTz+d9hc3PzJ1hbW/vhY8ifn0wXs2I+JlFbWzsDg4ODWWhvby8/RV//0NjY2B8wMDDwGt69e9dEFAikUqkfYWho6HvOXs9/roDEvXv3hokCgWw2+wu8evWq/rTNHEUNDQ2viQCB0uA5/yVNTU2BDx8+hMovXboEUqkUmJub27d9c3MzSCaTx3P6mQLfxU/goBH20aNHoKenZ9/62dlZMDMzA1paWk7Q3pcV+C5+AgcFxONx0NbWFiq/ePEiWF9fB1evXg3FlZSUhOL+K0WfwMbGBujr6wuV3717N/T7yZMnYH5+HlRVVYHBwcHju/yKok+guroajI6O7lu/srICurq6QEdHx0l5O5SKnsB5AqetA/8Dz549+2r9rVu3TszMv1HREzhP4LR1nsBp68Cn0N7eHgozroqKClBXV7dv/MLCAshms6Hyt2/fovBu1dTUdKT2X1L0CQwPD4OysjKwuLgIent7wZUrV8DDhw/By5cvweTkZCj+8ePHoL6+PlTe3d0Nnj9/Djo7O8HW1tahEog+genpaTAxMYFCDz99+hSFGduNGzfA0tJSqP34+Di4c+cOaGxsBDdv3kSBwPb2NmhtbT1SAtEnkEj8vWwUi8VQWA8KeiyTyYSOwb0eKJ/Pg3Q6HTpPeXl4Cfb27dsokD6sok8gmNvu7u6CN2/egJqamkNd4Nq1a2B5eRlUVlaiML4cV9EnELzv9/f3g/fv34ORkZFDXSBYqcvlciisXgTjyHFV9ARi169f/w1evHiROm0zR1FLS8saESBQGuzDoqgIBL6Ln0CwAz42NlZH8exSbm5uThABAp926jOZzM/w4MGDes4eiaDnc7ncr7C6uvoNESEQ6AKk0+n7kEwmv+VMfa0yQehrlV0iQOAvFuT2px2jzrUAAAAASUVORK5CYII=
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=hextool

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 	# Add here commands to compile the package.
 	qmake
-	#$(MAKE) # Uncomment this line for use without Qt Creator
+	# $(MAKE) # Uncomment this line for use without Qt Creator
 	#docbook-to-man debian/hextool.sgml > hextool.1
 
 	touch $@

## hextool 1.7.1maemo1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: hextool
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Do 5. Jun 22:57:25 2014
+# Generated by qmake (2.01a) (Qt 4.7.0) on: So 8. Jun 17:21:11 2014
 # Project:  hextool.pro
 # Template: app
 # Command: c:/qtsdk/maemo/4.6.2/targets/fremantle-pr13/bin/qmake.exe -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile hextool.pro
@@ -10,13 +10,13 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -I. -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -Imoc -Iui
+INCPATH       = -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -I. -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtMaemo5 -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -Imoc -Iui
 LINK          = g++
 LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
-LIBS          = $(SUBLIBS)  -LC:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
+LIBS          = $(SUBLIBS)  -LC:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = c:/qtsdk/maemo/4.6.2/targets/fremantle-pr13/bin/qmake.exe
@@ -44,22 +44,22 @@
 ####### Files
 
 SOURCES       = main.cpp \
-		mainwindow.cpp \
+		hextool.cpp \
 		common/value.c \
 		common/signed.c \
 		common/registeroperation.c \
 		common/register.c \
 		common/numbits.c \
-		common/handlebinarydigit.c moc/moc_mainwindow.cpp
+		common/handlebinarydigit.c moc/moc_hextool.cpp
 OBJECTS       = obj/main.o \
-		obj/mainwindow.o \
+		obj/hextool.o \
 		obj/value.o \
 		obj/signed.o \
 		obj/registeroperation.o \
 		obj/register.o \
 		obj/numbits.o \
 		obj/handlebinarydigit.o \
-		obj/moc_mainwindow.o
+		obj/moc_hextool.o
 DIST          = c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
@@ -104,7 +104,7 @@
 
 all: Makefile $(TARGET)
 
-$(TARGET): ui/ui_mainwindow.h $(OBJECTS)  
+$(TARGET): ui/ui_hextool.h ui/ui_hextool_desk.h $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
 Makefile: hextool.pro  c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default/qmake.conf c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
@@ -125,6 +125,7 @@
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
+		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtMaemo5.prl \
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl \
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl \
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl \
@@ -148,6 +149,7 @@
 c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf:
 c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf:
 c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf:
+c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtMaemo5.prl:
 c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl:
 c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl:
 c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl:
@@ -157,7 +159,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) obj/hextool1.0.0 || $(MKDIR) obj/hextool1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/hextool1.0.0/ && $(COPY_FILE) --parents mainwindow.h common/value.h common/signed.h common/registeroperation.h common/register.h common/numbits.h common/handlebinarydigit.h common/debug.h obj/hextool1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp common/value.c common/signed.c common/registeroperation.c common/register.c common/numbits.c common/handlebinarydigit.c obj/hextool1.0.0/ && $(COPY_FILE) --parents mainwindow.ui obj/hextool1.0.0/ && (cd `dirname obj/hextool1.0.0` && $(TAR) hextool1.0.0.tar hextool1.0.0 && $(COMPRESS) hextool1.0.0.tar) && $(MOVE) `dirname obj/hextool1.0.0`/hextool1.0.0.tar.gz . && $(DEL_FILE) -r obj/hextool1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/hextool1.0.0/ && $(COPY_FILE) --parents hextool.h common/value.h common/signed.h common/registeroperation.h common/register.h common/numbits.h common/handlebinarydigit.h common/debug.h obj/hextool1.0.0/ && $(COPY_FILE) --parents main.cpp hextool.cpp common/value.c common/signed.c common/registeroperation.c common/register.c common/numbits.c common/handlebinarydigit.c obj/hextool1.0.0/ && $(COPY_FILE) --parents hextool.ui hextool_desk.ui obj/hextool1.0.0/ && (cd `dirname obj/hextool1.0.0` && $(TAR) hextool1.0.0.tar hextool1.0.0 && $(COMPRESS) hextool1.0.0.tar) && $(MOVE) `dirname obj/hextool1.0.0`/hextool1.0.0.tar.gz . && $(DEL_FILE) -r obj/hextool1.0.0
 
 
 clean:compiler_clean 
@@ -178,17 +180,6 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc/moc_mainwindow.cpp
+compiler_moc_header_make_all: moc/moc_hextool.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc/moc_mainwindow.cpp
-moc/moc_mainwindow.cpp: common/debug.h \
-		common/handlebinarydigit.h \
-		common/numbits.h \
-		common/register.h \
-		common/registeroperation.h \
-		common/signed.h \
-		common/value.h \
-		mainwindow.h
-	C:/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/moc.exe $(DEFINES) $(INCPATH) mainwindow.h -o moc/moc_mainwindow.cpp
-
-compiler_rcc_make_all:
+	-$(DEL_FILE) moc/moc_hextool.cpp

=== debian/changelog ===
hextool (1.7.1maemo1) unstable; urgency=low
  * Maemo versioning
  * changed category to utilities
  * removed exit from menu
  * added load save to menu
  * added clear all to menu
  * added clear button
  * added a small help to menu
  * added octal conversion
  * added neg button

 -- Christian Weniger <less_to_space@web.de> Fri, 08 Jun 2014 15:23:19 +0200

=== debian/control ===
Source: hextool
Section: user/utilities
Priority: optional
Maintainer: Christian Weniger <less_to_space@web.de>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3
Homepage: http://www.harkin.org/HexTool
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=hextool

Package: hextool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HexTool is a simple calculator for hex, bin and dec.
 HexTool is a simple yet effective calculator/tool; invaluable for people who work with Hex and Binary. 
 Now you can convert between Hex, Binary, Octal and Decimal on the fly. http://sourceforge.net/projects/hextool/
XB-Maemo-Display-Name: HexTool
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAACkgAAApIBbaeMMwAAAyhJREFUaIHt2r9LHGkcxHXG
 g1YbLGuFhHcJYvYBCKsheRQIkSCzV2RyiKCNknlDw4hLMIR8JJgZZFC/4AUd
 gnmBEGLIFxEIXrhQBCS6EnERjlkCdfoecVlskzORD290x38NMM+z/eZ+Xyf9
 +w88zzPxBRUApcvX74PiUTiO4jH4wkoLS294H/Uzs7OLuTz+d9hc3PzJ1hbW
 /vhY8ifn0wXs2I+JlFbWzsDg4ODWWhvby8/RV//0NjY2B8wMDDwGt69e9dEF
 AikUqkfYWho6HvOXs9/roDEvXv3hokCgWw2+wu8evWq/rTNHEUNDQ2viQCB0
 uA5/yVNTU2BDx8+hMovXboEUqkUmJub27d9c3MzSCaTx3P6mQLfxU/goBH20
 aNHoKenZ9/62dlZMDMzA1paWk7Q3pcV+C5+AgcFxONx0NbWFiq/ePEiWF9fB
 1evXg3FlZSUhOL+K0WfwMbGBujr6wuV3717N/T7yZMnYH5+HlRVVYHBwcHju
 /yKok+guroajI6O7lu/srICurq6QEdHx0l5O5SKnsB5AqetA/8Dz549+2r9r
 Vu3TszMv1HREzhP4LR1nsBp68Cn0N7eHgozroqKClBXV7dv/MLCAshms6Hyt
 2/fovBu1dTUdKT2X1L0CQwPD4OysjKwuLgIent7wZUrV8DDhw/By5cvweTkZ
 Cj+8ePHoL6+PlTe3d0Nnj9/Djo7O8HW1tahEog+genpaTAxMYFCDz99+hSFG
 duNGzfA0tJSqP34+Di4c+cOaGxsBDdv3kSBwPb2NmhtbT1SAtEnkEj8vWwUi
 8VQWA8KeiyTyYSOwb0eKJ/Pg3Q6HTpPeXl4Cfb27dsokD6sok8gmNvu7u6CN
 2/egJqamkNd4Nq1a2B5eRlUVlaiML4cV9EnELzv9/f3g/fv34ORkZFDXSBYq
 cvlciisXgTjyHFV9ARi169f/w1evHiROm0zR1FLS8saESBQGuzDoqgIBL6Ln
 0CwAz42NlZH8exSbm5uThABAp926jOZzM/w4MGDes4eiaDnc7ncr7C6uvoNE
 SEQ6AKk0+n7kEwmv+VMfa0yQehrlV0iQOAvFuT2px2jzrUAAAAASUVORK5CY
 II=

## hextool 1.7.1maemo2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: hextool
-# Generated by qmake (2.01a) (Qt 4.7.0) on: So 8. Jun 17:21:11 2014
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Mo 9. Jun 15:34:50 2014
 # Project:  hextool.pro
 # Template: app
 # Command: c:/qtsdk/maemo/4.6.2/targets/fremantle-pr13/bin/qmake.exe -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile hextool.pro
@@ -50,7 +50,10 @@
 		common/registeroperation.c \
 		common/register.c \
 		common/numbits.c \
-		common/handlebinarydigit.c moc/moc_hextool.cpp
+		common/handlebinarydigit.c \
+		optionsdialog.cpp moc/moc_hextool.cpp \
+		moc/moc_optionsdialog.cpp \
+		rcc/qrc_image.cpp
 OBJECTS       = obj/main.o \
 		obj/hextool.o \
 		obj/value.o \
@@ -59,7 +62,10 @@
 		obj/register.o \
 		obj/numbits.o \
 		obj/handlebinarydigit.o \
-		obj/moc_hextool.o
+		obj/optionsdialog.o \
+		obj/moc_hextool.o \
+		obj/moc_optionsdialog.o \
+		obj/qrc_image.o
 DIST          = c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
@@ -104,7 +110,7 @@
 
 all: Makefile $(TARGET)
 
-$(TARGET): ui/ui_hextool.h ui/ui_hextool_desk.h $(OBJECTS)  
+$(TARGET): ui/ui_hextool.h ui/ui_hextool_desk.h ui/ui_optionsdialog.h $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
 Makefile: hextool.pro  c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default/qmake.conf c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
@@ -159,7 +165,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) obj/hextool1.0.0 || $(MKDIR) obj/hextool1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/hextool1.0.0/ && $(COPY_FILE) --parents hextool.h common/value.h common/signed.h common/registeroperation.h common/register.h common/numbits.h common/handlebinarydigit.h common/debug.h obj/hextool1.0.0/ && $(COPY_FILE) --parents main.cpp hextool.cpp common/value.c common/signed.c common/registeroperation.c common/register.c common/numbits.c common/handlebinarydigit.c obj/hextool1.0.0/ && $(COPY_FILE) --parents hextool.ui hextool_desk.ui obj/hextool1.0.0/ && (cd `dirname obj/hextool1.0.0` && $(TAR) hextool1.0.0.tar hextool1.0.0 && $(COMPRESS) hextool1.0.0.tar) && $(MOVE) `dirname obj/hextool1.0.0`/hextool1.0.0.tar.gz . && $(DEL_FILE) -r obj/hextool1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/hextool1.0.0/ && $(COPY_FILE) --parents hextool.h common/value.h common/signed.h common/registeroperation.h common/register.h common/numbits.h common/handlebinarydigit.h common/debug.h optionsdialog.h obj/hextool1.0.0/ && $(COPY_FILE) --parents image.qrc obj/hextool1.0.0/ && $(COPY_FILE) --parents main.cpp hextool.cpp common/value.c common/signed.c common/registeroperation.c common/register.c common/numbits.c common/handlebinarydigit.c optionsdialog.cpp obj/hextool1.0.0/ && $(COPY_FILE) --parents hextool.ui hextool_desk.ui optionsdialog.ui obj/hextool1.0.0/ && (cd `dirname obj/hextool1.0.0` && $(TAR) hextool1.0.0.tar hextool1.0.0 && $(COMPRESS) hextool1.0.0.tar) && $(MOVE) `dirname obj/hextool1.0.0`/hextool1.0.0.tar.gz . && $(DEL_FILE) -r obj/hextool1.0.0
 
 
 clean:compiler_clean 
@@ -174,12 +180,3 @@
 	-$(DEL_FILE) Makefile
 
 
-check: first
-
-mocclean: compiler_moc_header_clean compiler_moc_source_clean
-
-mocables: compiler_moc_header_make_all compiler_moc_source_make_all
-
-compiler_moc_header_make_all: moc/moc_hextool.cpp
-compiler_moc_header_clean:
-	-$(DEL_FILE) moc/moc_hextool.cpp

=== debian/changelog ===
hextool (1.7.1maemo2) unstable; urgency=low
  * fixed bug in bit size change 
  * added optionDialog
  * added option sign extension
  * added automatic load save
  * removed limit hex lineedit
  * fixed bug in disable ip and ascii fields
  * changed about dialog
  * fixed compiler bug 8bit signed

 -- Christian Weniger <less_to_space@web.de>  Mon, 09 Jun 2014 01:23:19 +0200

=== debian/control ===
Source: hextool
Section: user/utilities
Priority: optional
Maintainer: Christian Weniger <less_to_space@web.de>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3
Homepage: http://www.harkin.org/HexTool
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=hextool

Package: hextool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HexTool is a simple calculator for hex, bin and dec.
 HexTool is a simple yet effective calculator/tool; invaluable for people who work with Hex and Binary. 
 Now you can convert between Hex, Binary, Octal and Decimal on the fly. http://sourceforge.net/projects/hextool/
XB-Maemo-Display-Name: HexTool
XB-Maemo-Icon-26: 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

## hextool 1.7.1maemo3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: hextool
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Mo 9. Jun 15:34:50 2014
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Mi 11. Jun 00:28:03 2014
 # Project:  hextool.pro
 # Template: app
 # Command: c:/qtsdk/maemo/4.6.2/targets/fremantle-pr13/bin/qmake.exe -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile hextool.pro

=== debian/changelog ===
hextool (1.7.1maemo3) unstable; urgency=low
  * fixed bug sign extension 
  * changed neg button label
  * removed variable lineedit limits
  * general code optimization

 -- Christian Weniger <less_to_space@web.de>  Tue, 10 Jun 2014 21:36:54 +0200
 
